///////////////////////////////////////////////////////////////////////////////
/// @file        cx/build.h
///////////////////////////////////////////////////////////////////////////////

#ifndef _CX_BUILD_H_
#define _CX_BUILD_H_

#include "cx/version.h"

// ----------------------------------------------------------------------------
// cxBuildOptions
// ----------------------------------------------------------------------------

class cxBuildOptions
{
public:
    // the ctor must be inline to get the compilation settings of the code
    // which included this header
    cxBuildOptions()
    {
        // debug/release
#ifdef __CXDEBUG__
        m_isDebug = TRUE;
#else
        m_isDebug = FALSE;
#endif

        // version: we don't test the micro version as hopefully changes
        // between 2 micro versions don't result in fatal compatibility
        // problems
        m_verMaj = cxMAJOR_VERSION;
        m_verMin = cxMINOR_VERSION;
    }

private:
    // the version
    int m_verMaj;
    int m_verMin;

    // compiled with __CXDEBUG__?
    bool m_isDebug;

    // actually only CheckBuildOptions() should be our friend but well...
    friend class cxAppBase;
};

#endif 
    // _CX_BUILD_H_


