///////////////////////////////////////////////////////////////////////////////
/// @file   window.h
///////////////////////////////////////////////////////////////////////////////

#ifndef _CX_WINDOW_H_
#define _CX_WINDOW_H_ 

/**
 * \fn HDC GUIAPI BeginPaint(HWND hWnd)
 * \brief Prepares a window for painting.
 *
 * This function prepares the specified window \a hWnd for painting.
 * This function is called in the handler of MSG_PAINT message normally.
 * It returns a device context including the update region of the window.
 * When you are done with the device context, you should call \a EndPaint
 * to finish the painting of the window.
 *
 * \param hWnd The handle to the window.
 * \return The device context.
 *
 * \sa EndPaint
 */
CXHDC CXDLLEXPORT cxBeginPaint(HWND hWnd);

#endif //  _CX_WINDOW_H_