#include "cx/cxprec.h"

#ifndef CX_PRECOMP
#include "cx/app.h"
#endif

#include "cx/msw/private.h"

LRESULT CALLBACK cxWndProc(HWND,UINT,WPARAM,LPARAM);
HINSTANCE g_hInst;
LPSTR lpszClass="Minimal";

cxApp *cxTheApp = NULL;

// NB: all "NoRedraw" classes must have the same names as the "normal" classes
//     with NR suffix - wxWindow::MSWCreate() supposes this
const TCHAR *cxCanvasClassName        = TEXT("cxWindowClass");


cxAppInitializerFunction cxAppBase::m_appInitFn = (cxAppInitializerFunction) NULL;

cxApp::cxApp()
{
}

cxApp::~cxApp()
{
}


bool cxApp::Initialize()
{
    RegisterWindowClasses();

    return TRUE;
}

MSG s_currentMsg;

int cxApp::MainLoop()
{
    while(GetMessage(&s_currentMsg,0,0,0)) {
		TranslateMessage(&s_currentMsg);
		DispatchMessage(&s_currentMsg);
	}

	return s_currentMsg.wParam;
}

// ---------------------------------------------------------------------------
// RegisterWindowClasses
// ---------------------------------------------------------------------------

// TODO we should only register classes really used by the app. For this it
//      would be enough to just delay the class registration until an attempt
//      to create a window of this class is made.
bool cxApp::RegisterWindowClasses()
{
    WNDCLASS wndclass;
    cxZeroMemory(wndclass);

    // for each class we register one with CS_(V|H)REDRAW style and one
    // without for windows created with cxNO_FULL_REDRAW_ON_REPAINT flag
    static const long styleNormal = CS_HREDRAW | CS_VREDRAW | CS_DBLCLKS;
    static const long styleNoRedraw = CS_DBLCLKS;

    wndclass.cbClsExtra=0;
	wndclass.cbWndExtra=0;
	wndclass.hbrBackground=(HBRUSH)GetStockObject(WHITE_BRUSH);
	wndclass.hCursor=LoadCursor(NULL,IDC_ARROW);
	wndclass.hIcon=LoadIcon(NULL,IDI_APPLICATION);
	wndclass.hInstance=cxhInstance;
	wndclass.lpfnWndProc=(WNDPROC)cxWndProc;
	wndclass.lpszClassName=cxCanvasClassName;
	wndclass.lpszMenuName=NULL;
	wndclass.style=CS_HREDRAW | CS_VREDRAW;

	if (RegisterClass(&wndclass))
    {
        
    }


    return TRUE;
}

// ---------------------------------------------------------------------------
// UnregisterWindowClasses
// ---------------------------------------------------------------------------

bool cxApp::UnregisterWindowClasses()
{
    bool retval = TRUE;

#ifndef __CXMICROWIN__

    // canvas class name
    if ( !::UnregisterClass(cxCanvasClassName, cxhInstance) )
    {
        retval = FALSE;
    }

#endif // __CXMICROWIN__

    return retval;
}
//----------------------------------------------------------------------
// Entry point helpers, used by wxPython
//----------------------------------------------------------------------

int CXDLLEXPORT cxEntryStart( int argc, char** argv )
{
    return cxApp::Initialize();
}

int CXDLLEXPORT cxEntryInitGui()
{
    return cxTheApp->OnInitGui();
}


int cxEntry(HINSTANCE hInstance, HINSTANCE hPrevInstance
		  ,LPSTR lpszCmdParam, int nCmdShow, bool enterLoop)
{
	cxhInstance = hInstance;

    if (!cxEntryStart(0,0))
    {
        return 0;
    }

    // The app may have declared a global application object, but we recommend
    // the IMPLEMENT_APP macro is used instead, which sets an initializer function
    // for delayed, dynamic app object construction.
    if (!cxTheApp)
    {
        cxTheApp = (* cxApp::GetInitializerFunction()) ();
    }

    int retValue = cxEntryInitGui() && cxTheApp->OnInit() ? 0 : -1;

    if ( retValue == 0 )
    {
        if ( enterLoop )
        {
            // run the main loop
            cxTheApp->OnRun();
        }
        else
        {
            // we want to initialize, but not run or exit immediately.
            return 1;
        }
    }
    
    return 0;
}
