/** 

Making a Window

Notes: 
    Use new_window to create windows. 
    Use rect(x,y,width,height) to specify a rectangle. 
    Use show_window to display the window. 
    Use main_loop to handle events. 
*/
#include "mg.h"

extern C_LINKAGE 
int main(int argc, char *argv[])
{
    App *app;
    Window *w;
    
    /* initialise library */
    app = new_app(argc,argv);

    /* create main window */
    w = new_window(app,
        rect(50,50,150,200),
        "A Window",
        STANDARD_WINDOW);

    /* create your controls here */
 
    /* show window */
    show_window(w);
    
    /* handle all events */
    main_loop(app);

    /* close files and tidy up here */

    /* shut-down program */
    del_app(app);
    return 0;
}
