/*
 *  String functions.
 *
 *  Platform: Neutral
 *
 *  Version: 3.00  2001/05/05  First release.
 *  Version: 3.50  2004/01/11  Uses const keyword for some param strings.
 */

/* Copyright (c) L. Patrick

   This file is part of the App cross-platform programming package.
   You may redistribute it and/or modify it under the terms of the
   App Software License. See the file LICENSE.TXT for details.
*/

#include <stdio.h>
#include "appcommon.h"

char * app_copy_string(const char *str)
{
	char *ptr;

	ptr = app_alloc((strlen(str)+1) * sizeof(char));
	strcpy(ptr, str);
	return ptr;
}

void app_del_string(char *str)
{
	app_free(str);
}

