/*
 *  Image writing.
 *
 *  Platform: Neutral
 *
 *  Version: 3.00  2001/08/15  First release.
 *  Version: 3.50  2004/01/11  Uses const keyword for some param strings.
 */

/* Copyright (c) L. Patrick

   This file is part of the App cross-platform programming package.
   You may redistribute it and/or modify it under the terms of the
   App Software License. See the file LICENSE.TXT for details.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "mg.h" 
#include "writegif.h"
#include "writeh.h"

/*
 *  So far this function can only save images into GIF format,
 *  and only into a named file, not to a pipe or standard
 *  output stream. These problems will be fixed, so that
 *  writing to PNG or JPEG format and also to any file stream
 *  will be possible.
 */
int app_write_image(Image *img, const char *filename)
{
	int length;

	length = strlen(filename);
	if ((length > 4) && (strcmp(&filename[length-4], ".gif") == 0))
		app_save_gif(img, filename, 0);
	else if ((length > 2) && (strcmp(&filename[length-2], ".h") == 0))
		app_save_header_image(img, filename);
	else
		return 0;
	return 1;
}
