//
// $Id: dirent.c,v 1.1 2004/12/13 03:21:10 heavenzen Exp $
//
// dirent.c:. the source file of windows clone version of linux dir functions.
//
// Copyright (C) 2002, Jiang Xin 
//
// Created by Jiang Xin, 2002/11/04
//

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <io.h>
#include "dirent.h"


DIR *opendir(const char *name)
{
	DIR *dirp;
	dirp = (DIR *)malloc(sizeof(DIR));
	if ( !dirp )		return NULL;
	if ( (dirp->path = (char *)malloc(strlen(name)+10)) == NULL )
	{
		free(dirp);
		return NULL;
	}
	
	strcpy(dirp->path ,name);
	if ( strchr(name,'\\') )
		strcat (dirp->path, "\\*.*");
	else
		strcat (dirp->path, "/*.*");

	dirp->hFile = 0;
	dirp->bFirstRead = 1;
	return dirp;
}


struct dirent *readdir(DIR *dirp) 
{
    struct _finddata_t c_file;
	long retval;
	static struct dirent __dirent;

	if (!dirp)  return NULL;
	if ( dirp->bFirstRead )  
	{
		retval = dirp->hFile = _findfirst( dirp->path , &c_file );
		dirp->bFirstRead = 0;
	}
	else
	{
		retval = _findnext( dirp->hFile, &c_file );
	}
	if ( retval == -1 )
		return NULL;
	if (strlen(c_file.name)<_MAX_FNAME)
		strcpy(__dirent.d_name,c_file.name);
	return &__dirent;
}

int closedir(DIR *dirp)
{
	if (!dirp) return 0;
	_findclose( dirp->hFile );
	if (!dirp->path )  free(dirp->path );
	free(dirp);
	return 1;
}