//
// $Id: dirent.h,v 1.1 2004/12/13 03:21:10 heavenzen Exp $
//
// dirent.h:. the head file of windows clone version of linux dirent.h.
//
// Copyright (C) 2002, Jiang Xin 
//
// Created by Jiang Xin, 2002/11/04
//

#ifndef GUI_DIRENT_H
#define GUI_DIRENT_H

#include <stdlib.h>

#define access _access
#define PATH_MAX _MAX_PATH
#define NAME_MAX _MAX_FNAME

#define S_ISDIR(st_mode) (st_mode & _S_IFDIR)
#define S_ISREG(st_mode) (st_mode & _S_IFREG)

#define lstat stat 

#define F_OK	0
#define R_OK	4
#define W_OK	2
#define X_OK	8

struct __dirstream
{
	long hFile;
	int bFirstRead;
	char *path;
};

typedef struct __dirstream DIR;

struct dirent
{
	unsigned short d_reclen;
	unsigned char d_type;
	char d_name[_MAX_FNAME];
};

#ifdef __cplusplus
extern "C" {
#endif  /* __cplusplus */

extern DIR *opendir(const char *name);
extern struct dirent *readdir(DIR *dirp);
extern int closedir(DIR *dirp);

#ifdef __cplusplus
}
#endif  /* __cplusplus */

#endif  /* GUI_DIRENT_H */


